# Кварк "Целое" -- фундаментальная мера дискретной реальности.

кварк: Целое
база: int64
реализация: ./lev1/quarq/quarq_int/

атрибуты:
  док: |
    Целое является базовым строительным кирпичом для всех протонов,
    требующих точного исчисления (счётчики, индексы, объёмы).
    Взаимодействует исключительно с представителями своего типа.
  дефолт: 0

состояние:
  знач: 0 # Текущее состояние материи (кварк-база int64)

методы_трансформации:
  - Инк: "Увеличить массу кварка на один квант"
  - Дек: "Уменьшить массу кварка на один квант"
  - Доб: "Добавить массу другого кварка Целое"
  - Выч: "Уменьшить массу за счет другого кварка Целое"
  - Умн: "Умножить массу на величину другого кварка Целое"
  - Дел: "Разделить на массу другого кварка Целое (паника при 0)"
  - Уст: "Принудительно установить значение из кварк-базы"
  - Получ: "Вернуть хранимое значение в виде кварк-базы"
  - ЕслиРавно: "Сравнить на равенство с донором (вернуть Бул)"
  - ЕслиБольше: "Проверить, больше ли акцептор, чем донор (вернуть Бул)"
  - ЕслиМеньше: "Проверить, меньше ли акцептор, чем донор (вернуть Бул)"
  - ЕслиБольшеРавно: "Проверить на нестрогое превышение (вернуть Бул)"
  - ЕслиМеньшеРавно: "Проверить на нестрогое уменьшение (вернуть Бул)"
